Upload media
curl --request POST \
--url https://api.pickfu.com/v1/media/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"data": "<string>",
"filename": "<string>"
}
'import requests
url = "https://api.pickfu.com/v1/media/upload"
payload = {
"url": "<string>",
"data": "<string>",
"filename": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', data: '<string>', filename: '<string>'})
};
fetch('https://api.pickfu.com/v1/media/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"url": "<string>",
"resourceType": "<string>",
"embedded": true
}
}Media
Upload media
Uploads an image or video to the PickFu CDN. Accepts either a URL (fetched and re-hosted) or base64-encoded data (max 20MB decoded).
YouTube, Vimeo, and Wistia URLs are returned as-is since PickFu embeds them natively.
POST
/
media
/
upload
Upload media
Authorizations
OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}
Body
application/json
- Option 1
- Option 2
HTTPS URL of the media to upload. Mutually exclusive with data.
Base64-encoded media content. Mutually exclusive with url. Max 20MB.
Optional filename hint for the CDN public ID
Maximum string length:
255Resource type. Auto-detected from URL/content if omitted.
Available options:
image, video Was this page helpful?
⌘I
